<?php

/*
  Plugin Name: Fiserv - WooCommerce Gateway
  Plugin URI: https://www.fiserv.com/
  Description: Extends WooCommerce by Adding the Fiserv payment Gateway.
  Version: 2.1
  Author: Fiserv, Saurabh Dhoble
  Author URI: https://www.fiserv.com/

  Text Domain: woocommerce-firstdata
  Domain Path: /languages/
 */
// Include our Gateway Class and register Payment Gateway with WooCommerce
add_action('plugins_loaded', 'firstdata_gateway_init', 0);

function firstdata_gateway_init() {
    // If the parent WC_Payment_Gateway class doesn't exist
    // it means WooCommerce is not installed on the site
    // so do nothing
    if (!class_exists('WC_Payment_Gateway'))
        return;

    // If we made it this far, then include our Gateway Class
    include_once( 'firstdata.php' );

    // Now that we have successfully included our class,
    // Lets add it too WooCommerce
    add_filter('woocommerce_payment_gateways', 'spyr_add_firstdata_gateway');

    function spyr_add_firstdata_gateway($methods) {
        $methods[] = 'SPYR_Firstdata_Gateway';
        return $methods;
    }

    load_plugin_textdomain('woocommerce-firstdata', false, dirname(plugin_basename(__FILE__)) . '/languages');
}

// Add custom action links
add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'spyr_firstdata_gateway_action_links');

function spyr_firstdata_gateway_action_links($links) {
    $plugin_links = array(
        '<a href="' . admin_url('admin.php?page=wc-settings&tab=checkout&section=spyr_firstdata_gateway') . '">' . __('Settings', 'woocommerce-firstdata') . '</a>',
    );
    // Merge our new link with the default ones
    return array_merge($plugin_links, $links);
}