<?php

if (!defined('ABSPATH')) {
    exit;
}

/**
 * Settings for Fiserv Gateway.
 */
return array(
    'country' => array(
        'title' => __('Country / País', 'woocommerce-firstdata'),
        'type' => 'select',
        'class' => 'wc-enhanced-select country',
        'description' => __('Choose the country', 'woocommerce-firstdata'),
        'desc_tip' => true,
        //'custom_attributes' => array('onclick' => 'getCountry()'),
        'options' => array(
            '' => __('Select the Country', 'woocommerce-firstdata'),
            'ind' => __('India', $this->id),
            'arg' => __('Argentina', $this->id),
            'col' => __('Colombia', $this->id),
            'bra' => __('Brazil', $this->id),
            'mex' => __('Mexico', $this->id),
            'gbr' => __('United Kingdom', $this->id),
            'irl' => __('Ireland', $this->id),
            'nld' => __('Netherlands', $this->id),
            'deu' => __('Germany', $this->id),
            'sgp' => __('Singapore', $this->id),
            'hkg' => __('Hong Kong', $this->id),
            'mys' => __('Malaysia', $this->id),
            'aus' => __('Australia', $this->id),
            'phl' => __('Philippines', $this->id),
            'pan' => __('Panama', $this->id)
        ),
    ),
    'reseller' => array(
        'title' => __('Reseller', 'woocommerce-firstdata'),
        'type' => 'select',
        'class' => 'wc-enhanced-select reseller',
        'description' => __('Choose the Reseller', 'woocommerce-firstdata'),
        'default' => '',
        'desc_tip' => true,
        'options' => array(
            '' => __('Select the Reseller', 'woocommerce-firstdata'),
            'icici' => __('ICICI Merchant Services', $this->id),
            'idfc' => __('IDFC', $this->id),
            'posnet' => __('Posnet', $this->id),
            'pagogo' => __('Pago Go', $this->id),
            'bin' => __('Bin', $this->id),
            'sipag' => __('SiPag', $this->id),
            'sicredi' => __('Sicredi', $this->id),
            'first_data_mexico' => __('First Data Mexico', $this->id),
            'scotiapos' => __('ScotiaPOS', $this->id),
            'first_data_uk' => __('First Data UK', $this->id),
            'lloyds_cardnet' => __('Lloyds Cardnet', $this->id),
            'aib_merchant_services' => __('AIB Merchant Services', $this->id),
            'european_merchant_services' => __('European Merchant Services', $this->id),
            'first_data_telecash' => __('First Data Telecash', $this->id),
            'first_data_singapore' => __('First Data Singapore', $this->id),
            'first_data_hong_kong' => __('First Data Hong Kong', $this->id),
            'first_data_malaysia' => __('First Data Malaysia', $this->id),
            'first_data_australia' => __('First Data Australia', $this->id),
            'banco_general' => __('Banco General', $this->id)
        ),
    ),
    'customer_detail' => array(
        'title' => $this->getDetails('customer_detail_title'),
        'type' => 'title',
        'class' => 'customer-details',
        'description' => '<span id="fd-contact-detail-desc">' . $this->getDetails('customer_detail') . '</span>',
    ),
    /* 'contact_support' => array(
        'title' => $this->getDetails('contact_support_title'),
        'type' => 'title',
        'class' => 'contact-support',
        'description' => '<span id="fd-contact-support-desc">' . $this->getDetails('contact_support') . '</span>',
    ), */
	'contact_support' => array(
        'title' => __('Contact Support', 'woocommerce-firstdata'),
        'label' => '<span class="contact-support">' . $this->getDetails('contact_support_title') . '</span><br />' . '<span id="fd-contact-support-desc">' . $this->getDetails('contact_support') . '</span>',
        'type' => 'checkbox',
		'css' => 'display:none;',
        'default' => 'no',
    ),
	
    'logo' => array(
        'title' => __('Plugin Logo', 'woocommerce-firstdata'),
        'label' => __('Display Logo', 'woocommerce-firstdata').'<img src="' . $this->checkLogo() . '" style="float: left; margin-top:-10px; margin-right:10px;" id="fd-plugin-logo"/>',
        'desc_tip' => __('Show this logo in checkout page', 'woocommerce-firstdata'),
        'type' => 'checkbox',
        'default' => 'no',
    ),
	'changelogo' => array(
        'title' => __('Change Logo', 'woocommerce-firstdata'),
        'type' => 'select',
        'class' => 'wc-enhanced-select changelogo',
        'description' => __('Select the correct logo for the card brands supported by your account', 'woocommerce-firstdata'),
        'default' => 'logo1',
        'desc_tip' => true,
        'options' => array(
            'logo1' => __('Your account does not support AMEX', 'woocommerce-firstdata'),
            'logo2' => __('Your account supports AMEX', 'woocommerce-firstdata'),
        ),
    ),
    'description' => array(
        'title' => __('Description', 'woocommerce-firstdata'),
        'type' => 'textarea',
        'class' => 'description',
        'desc_tip' => __('Payment description the customer will see during the checkout process.', 'woocommerce-firstdata'),
        'default' => $this->getDescription(),
        'css' => 'max-width:350px;'
    ),
    'enabled' => array(
        'title' => __('Enable / Disable', 'woocommerce-firstdata'),
        'label' => __('Enable this payment gateway.', 'woocommerce-firstdata'),
        'type' => 'checkbox',
        'default' => 'no',
    ),
    'env' => array(
        'title' => __('Environment', 'woocommerce-firstdata'),
        'type' => 'select',
        'class' => 'wc-enhanced-select environment',
        'description' => __('This allows you to choose the payment gateway environment. The integration environment allows you to process transactions in the test environment. The production environment will allow customers to process live transactions.', 'woocommerce-firstdata'),
        'default' => 'TEST',
        'desc_tip' => true,
        'options' => array(
            'PROD' => __('Production', 'woocommerce-firstdata'),
            'TEST' => __('Test', 'woocommerce-firstdata'),
        ),
    ),
    'test_trans_key' => array(
        'title' => __('Shared Secret', 'woocommerce-firstdata'),
        'type' => 'text',
        'class' => 'test-trans-key',
        'desc_tip' => __('This is a unique identifier provided by the payment gateway, which will be provided by the payment gateway support team.', 'woocommerce-firstdata'),
        'default' => ''
    ),
    'test_store_name' => array(
        'title' => __('Store name', 'woocommerce-firstdata'),
        'type' => 'text',
        'class' => 'test-store-name',
        'desc_tip' => __('This is your unique Store ID, which will be provided by the payment gateway support team.', 'woocommerce-firstdata'),
        'default' => '',
    ),
    'test_success_url' => array(
        'title' => __('Response success URL', 'woocommerce-firstdata'),
        'type' => 'text',
        'class' => 'test-success-url',
        'desc_tip' => __('The URL where you wish to direct customers after a successful transaction (your \'Thank You\' URL).', 'woocommerce-firstdata'),
        'default' => '',
    ),
    'test_fail_url' => array(
        'title' => __('Response fail URL', 'woocommerce-firstdata'),
        'type' => 'text',
        'class' => 'test-fail-url',
        'desc_tip' => __('The URL where you wish to direct customers after a declined or unsuccessful transaction (your \'Sorry\' URL).', 'woocommerce-firstdata'),
        'default' => '',
    ),
    'test_notification_url' => array(
        'title' => __('Notification URL', 'woocommerce-firstdata'),
        'type' => 'text',
        'class' => 'test-notification-url',
        'desc_tip' => __('In addition to the response you receive in hidden fields to your \'responseSuccessURL\' or \'responseFailURL\', the payment gateway can send server-to-server notifications with the above result parameters to a defined URL. This is useful to keep your systems in sync with the status of a transaction.', 'woocommerce-firstdata'),
        'default' => '',
    ),
    'prod_trans_key' => array(
        'title' => __('Shared Secret', 'woocommerce-firstdata'),
        'type' => 'text',
        'class' => 'prod-trans-key',
        'desc_tip' => __('This is a unique identifier provided by the payment gateway, which will be provided by the payment gateway support team.', 'woocommerce-firstdata'),
    ),
    'prod_store_name' => array(
        'title' => __('Store name', 'woocommerce-firstdata'),
        'type' => 'text',
        'class' => 'prod-store-name',
        'desc_tip' => __('This is your unique Store ID, which will be provided by the payment gateway support team.', 'woocommerce-firstdata'),
    ),
    'prod_success_url' => array(
        'title' => __('Response success URL', $this->id),
        'type' => 'text',
        'class' => 'prod-success-url',
        'desc_tip' => __('The URL where you wish to direct customers after a successful transaction (your \'Thank You\' URL).', 'woocommerce-firstdata'),
        'default' => '',
    ),
    'prod_fail_url' => array(
        'title' => __('Response fail URL', 'woocommerce-firstdata'),
        'type' => 'text',
        'class' => 'prod-fail-url',
        'desc_tip' => __('The URL where you wish to direct customers after a declined or unsuccessful transaction (your \'Sorry\' URL).', 'woocommerce-firstdata'),
        'default' => '',
    ),
    'prod_notification_url' => array(
        'title' => __('Notification URL', 'woocommerce-firstdata'),
        'type' => 'text',
        'class' => 'prod-notification-url',
        'desc_tip' => __('In addition to the response you receive in hidden fields to your \'responseSuccessURL\' or \'responseFailURL\', the payment gateway can send server-to-server notifications with the above result parameters to a defined URL. This is useful to keep your systems in sync with the status of a transaction.','woocommerce-firstdata'),
        'default' => '',
    ),
    'authorisation' => array(
        'title' => __('Authorisation', 'woocommerce-firstdata'),
        'label' => __('Capture charge immediately', 'woocommerce-firstdata'),
        'desc_tip' => __('This allows you to capture the charge immediately. If this box is not selected, a temporary hold will be placed on the funds in the customer\'s bank account, and you will need to manually settle the transaction to capture the charge. This can be done through your Virtual Terminal - please contact your gateway support team for your login details.', 'woocommerce-firstdata'),
        'type' => 'checkbox',
        'default' => 'yes',
    ),
    'checkout' => array(
        'title' => __('Checkout Mode', 'woocommerce-firstdata'),
        'type' => 'select',
        'class' => 'wc-enhanced-select checkout-option',
        'description' => __('The \'classic\' checkout option splits the payment process into multiple pages, whereby you can easily decide the information you wish to gather from the customer. The "combined" checkout option consolidates the process into a single page which automatically responds to the size of the screen being used.', 'woocommerce-firstdata'),
        'default' => 'classic',
        'desc_tip' => true,
        'options' => array(
            'classic' => __('Classic', 'woocommerce-firstdata'),
            'combinedpage' => __('Combined', 'woocommerce-firstdata'),
        ),
    ),
    'mode' => array(
        'title' => __('Payment Mode', 'woocommerce-firstdata'),
        'type' => 'select',
        'class' => 'wc-enhanced-select payment-mode',
        'description' => __('The \'Pay Only\' payment mode collects just the basic payment informaton. \'Pay Plus\' mode collects the payment information and the billing information. \'Full Pay\' mode collects the payment information, billing information and shipping information.', 'woocommerce-firstdata'),
        'default' => 'payonly',
        'desc_tip' => true,
        'options' => array(
            'payonly' => __('Pay Only ', 'woocommerce-firstdata'),
            'payplus' => __('Pay Plus ', 'woocommerce-firstdata'),
            'fullpay' => __('Full Pay', 'woocommerce-firstdata'),
        ),
    ),
    'tokenisation' => array(
        'title' => __('Tokenisation', 'woocommerce-firstdata'),
        'class' => 'tokenisation',
        'label' => __('Allow customers to securely save their payment details for future checkout.', 'woocommerce-firstdata'),
        'desc_tip' => __('Enabling tokenisation allows you to store card details for subsequent transactions in a secure encrypted database hosted by Payment Gateway. Please contact the gateway support team to ensure this is enabled on your account.', 'woocommerce-firstdata'),
        'type' => 'checkbox',
        'default' => 'no',
    ),
    'dynamic_merchant_name' => array(
        'title' => __('Dynamic Descriptor', 'woocommerce-firstdata'),
        'type' => 'text',
        'class' => 'dynamic-descriptor',
        'desc_tip' => __('This allows you to define the company name to appear on the cardholder\'s statement. The length of this field should not exceed 25 characters.', 'woocommerce-firstdata'),
        'default' => '',
    ),
    'secure_pay' => array(
        'title' => __('3D Secure', 'woocommerce-firstdata'),
        'type' => 'select',
        'class' => 'wc-enhanced-select secure-pay',
        'description' => __('Enable 3D Secure', 'woocommerce-firstdata'),
        'default' => 'active',
        'desc_tip' => true,
        'options' => array(
            'active' => __('Active', 'woocommerce-firstdata'),
            'deactive' => __('Deactive', 'woocommerce-firstdata'),
        ),
    ),
    'debug' => array(
        'title' => __('Debug log', 'woocommerce-firstdata'),
        'type' => 'checkbox',
        'label' => __('Enable Debug Logging', 'woocommerce-firstdata'),
        'default' => 'yes',
        'desc_tip' => __('Enabling the error logs help you to determine the cause of any particular issue that may have occurred during a transaction.', 'woocommerce-firstdata'),
        'description' => sprintf(__('Log Payment events, inside', 'woocommerce-firstdata').'%s', '<code>' . WC_Log_Handler_File::get_log_file_path('fiserv') . '</code>'),
    ),
    'dcc_skip_offer' => array(
        'title' => __('Dynamic Currency conversion', 'woocommerce-firstdata'),
        'label' => __('Currency Conversion Page', 'woocommerce-firstdata'),
        'desc_tip' => __('Dynamic Currency Conversion offers customers the choice to either pay in your currency or their own currency at the checkout, based on a real-time currency conversion. Please contact the gateway support team to set this up.', 'woocommerce-firstdata'),
        'type' => 'checkbox',
        'class' => 'dcc-skip-offer',
        'default' => 'no',
    ),
    'authorization' => array(
        'title' => __('Authorisation Method', 'woocommerce-firstdata'),
        'type' => 'select',
        'class' => 'wc-enhanced-select',
        'description' => __('If \'Hosted Page\' is chosen, the customer will be redirected to a secure payment page hosted by Fiserv Gateway to enter their payment details. If \'Hidden Authorisation\' is chosen, you will host the initial payment page on your site.', 'woocommerce-firstdata'),
        'default' => 'hosted',
        'desc_tip' => true,
        'options' => array(
            'hosted' => __('Hosted Payment', 'woocommerce-firstdata'),
            'hidden' => __('Hidden Authorisation', 'woocommerce-firstdata'),
        ),
    ),
 
     'multiple_payment' => array(
        'title' => __('Installment Payment Options', 'woocommerce-firstdata'),
        'type' => 'title',
        'class' => 'instalment-config',
    ),
    'rule_activation' => array(
        'title' => __('Installment', 'woocommerce-firstdata'),
        'label' => __('Enable/Disable', 'woocommerce-firstdata'),
        'desc_tip' => __('Enables / disables multiple payment', 'woocommerce-firstdata'),
        'description' => __('Enables / disables multiple payment', 'woocommerce-firstdata'),
        'class' => 'ipg_rule_activation instalment-config',
        'type' => 'checkbox',
        'default' => 'no',
    ),
    /*'interest_instalment' => array(
        'title' => __('Installments Interest For Mexico', 'woocommerce-firstdata'),
        'label' => __('Enable/Disable', 'woocommerce-firstdata'),
        'desc_tip' => __('Enables / disables multiple payment ', 'woocommerce-firstdata'),
        'description' => __('Enables / disables multiple payment', 'woocommerce-firstdata'),
        'class' => 'ipg_rule_activation instalment-config',
        'type' => 'checkbox',
        'default' => 'no',
    ),*/
    'instalment_details' => array(
        'type' => 'instalment_details',
        'class' => 'instalment-config',
    ),
    'local_payment_method_title' => array(
        'title' => __('Local Payment Method', 'woocommerce-firstdata'),
        'type' => 'title',
        'class' => 'local-payment-method-title',
        'desc_tip' => __('Enable the Local Payment Method and select the payment method for checkout.', 'woocommerce-firstdata'),
    ),
    'local_payment_method' => array(
        'title' => __('Enable Local Payment Method', 'woocommerce-firstdata'),
        'label' => __('Enable/Disable Local Payment Method for checkout', 'woocommerce-firstdata'),
        'desc_tip' => __('Enable the local payment method to checkout', 'woocommerce-firstdata'),
        'type' => 'checkbox',
        'class' => 'local-payment-method',
        'default' => 'no',
    ),
    'local_payment_method_options' => array(
        'title' => __('Payment Method', 'woocommerce-firstdata'),
        'type' => 'multiselect',
        'class' => 'local-payment-method-options chosen_select',
        'css' => 'width: 350px;',
        'desc_tip' => __('Select the Payment local/alternative payment method to checkout.', 'woocommerce-firstdata'),
        //'options' => $this->paymentOptionsValue(),
        'default' => array(),
    ),
    'api_details' => array(
        'title' => __('API credentials', 'woocommerce-firstdata'),
        'type' => 'title',
        'description' => __('Enter your Fiserv API credentials to process different types of API transactions via Fiserv Payment Gateway.', 'woocommerce-firstdata'),
    ),
    'api_username' => array(
        'title' => __('API username', 'woocommerce-firstdata'),
        'type' => 'text',
        'default' => '',
        'description' => __('Get your API credentials from Fiserv.', 'woocommerce-firstdata'),
        'desc_tip' => __('Enter the API Username', 'woocommerce-firstdata')
    ),
    'api_password' => array(
        'title' => __('API password', 'woocommerce-firstdata'),
        'type' => 'text',
        'description' => __('Get your API credentials from Fiserv.', 'woocommerce-firstdata'),
        'default' => '',
        'desc_tip' => __('Enter the API Password', 'woocommerce-firstdata'),
    ),
    'certificate_key_password' => array(
        'title' => __('API Certificate Key Password', 'woocommerce-firstdata'),
        'type' => 'text',
        'description' => __('Get your API credentials from Fiserv.', 'woocommerce-firstdata'),
        'default' => '',
        'desc_tip' => __('Enter the API Certificate Key Password', 'woocommerce-firstdata'),
    ),
    'server_trust_pem' => array(
        'title' => __('API Server Trust PEM', 'woocommerce-firstdata'),
        'type' => 'file',
        'description' => __('Get your API credentials from Fiserv.', 'woocommerce-firstdata'),
        'default' => '',
        'desc_tip' => __('Choose the API Server Trust PEM file', 'woocommerce-firstdata'),
        'placeholder' => __('Optional', 'woocommerce-firstdata'),
    ),
    'client_certificate_pemfile' => array(
        'title' => __('API Certificate PEM', 'woocommerce-firstdata'),
        'type' => 'file',
        'description' => __('Get your API credentials from Fiserv.', 'woocommerce-firstdata'),
        'default' => '',
        'desc_tip' => __('Choose the API Client Certificate PEM file', 'woocommerce-firstdata'),
        'placeholder' => __('Optional', 'woocommerce-firstdata'),
    ),
    'client_certificate_keyfile' => array(
        'title' => __('API Certificate Key', 'woocommerce-firstdata'),
        'type' => 'file',
        'description' => __('Get your API credentials from Fiserv.', 'woocommerce-firstdata'),
        'default' => '',
        'desc_tip' => __('Choose the API Client Certificate Key file', 'woocommerce-firstdata'),
        'placeholder' => __('Optional', 'woocommerce-firstdata'),
    ),
    'localization' => array(
        'type' => 'localization',
    )
);